Bug 260441 - Review Request: pguiman - The PostgreSQL database server managing tool
Review Request: pguiman - The PostgreSQL database server managing tool
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Maros Barabas
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-28 11:14 EDT by Ondrej Dvoracek
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-19 04:29:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mbarabas: fedora‑review+
a.badger: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ondrej Dvoracek 2007-08-28 11:14:27 EDT
Spec URL: http://pguiman.svn.sourceforge.net/viewvc/*checkout*/pguiman/trunk/pguiman.spec
SRPM URL: http://downloads.sourceforge.net/pguiman/pguiman-0.0.1-1.fc7.src.rpm
Description:
The PostgreSQL Manager is a graphical user interface for administration of a PostgreSQL database server. Users new to PostgreSQL database server can use this tool to quickly set up a working database.
This is my first package and I need a sponsor.
Comment 1 Maros Barabas 2007-09-06 08:42:27 EDT
* RPM name is OK
* Builds fine in mock
* File list looks OK
X Missing SMP flags. If it doesn't build with it, please add a comment
  (wiki: PackagingGuidelines#parallelmake)
X rpmlint is not silent, see below
* dist tag is present.
* license field matches the actual license.
* %clean is present.
X sources are listed twice
  - Please remove Source0
* spec file for the package is legible
* package builds properly
* package installs properly
? package doesn't use locales
* no duplicates in %files.
* file permissions are appropriate.
* no -devel package
* no -docs subpackage is necessary
* no pkgconfig files
* good use of macros
* content is permissable
* %doc has no affect on runtime
* no static libraries present
X package owns directories already owned by aother package
  - Please remove %dir %{_datadir}/applications/ and %{_datadir}/pixmaps/
* package contains %{name}.desktop file, desktop-file-install command present


SHOULD:
X package doesn't contains LICENSE file
* no Non-English languages in description or summary
* build tested on mock-build x86_64 and i386
* tested functionaloty of package

rpmlint:
  W: pguiman-debuginfo spurious-executable-perm
/usr/src/debug/pguiman-0.0.1/src/database/create_db_objects.c
  W: pguiman-debuginfo spurious-executable-perm
/usr/src/debug/pguiman-0.0.1/src/tools/db_profile_manager.c
  W: pguiman-debuginfo spurious-executable-perm
/usr/src/debug/pguiman-0.0.1/src/GUI_db_objects/domain.c
  ...
  Simple solution: remove execution bit from all files *.c *.h
Comment 2 Ondrej Dvoracek 2007-09-06 11:18:29 EDT
Hi,
links to corrected spec file and srpm:
Spec URL:
http://pguiman.svn.sourceforge.net/viewvc/*checkout*/pguiman/trunk/pguiman.spec
SRPM URL: http://downloads.sourceforge.net/pguiman/pguiman-0.0.1-2.fc7.src.rpm

Comments:
MUST:
"X Missing SMP flags. If it doesn't build with it, please add a comment
  (wiki: PackagingGuidelines#parallelmake)"
## added SMP flags
"X sources are listed twice
  - Please remove Source0"
## left only sourceforge.net source
"X package owns directories already owned by aother package
  - Please remove %dir %{_datadir}/applications/ and %{_datadir}/pixmaps/"
## removed %dir %{_datadir}/applications/ and %dir %{_datadir}/pixmaps/ from
spec file

SHOULD:
"X package doesn't contains LICENSE file"
## the licence text is in the COPYING file

rpmlint:
"W: pguiman-debuginfo spurious-executable-perm
/usr/src/debug/pguiman-0.0.1/src/database/create_db_objects.c
  W: pguiman-debuginfo spurious-executable-perm
/usr/src/debug/pguiman-0.0.1/src/tools/db_profile_manager.c
  W: pguiman-debuginfo spurious-executable-perm
/usr/src/debug/pguiman-0.0.1/src/GUI_db_objects/domain.c
  ...
  Simple solution: remove execution bit from all files *.c *.h"
## removed execution bit from all files *.c *h
Comment 3 Ondrej Dvoracek 2007-09-07 03:57:18 EDT
New Package CVS Request
=======================
Package Name: pguiman
Short Description: The PostgreSQL database server managing tool
Owners: odvorace
Branches: FC-6 F-7
InitialCC: 
Cvsextras Commits: no
Comment 4 Mamoru TASAKA 2007-09-07 04:24:32 EDT
( Well, at some time there was a suggestion that the assignee should be back
  to the submitter after the review is accepted, however now it is not.
  Please leave the assignee as it is even after the review is accepted )
Comment 5 Mamoru TASAKA 2007-09-12 11:22:27 EDT
Ondrej, please don't forget to set fedora-cvs flag to ? .
Comment 6 Kevin Fenzi 2007-09-12 12:31:41 EDT
cvs done.
Comment 7 Stepan Kasal 2007-09-14 05:41:23 EDT
a cvs admin request from me, skasal@redhat.com, Fedora login "kasal":
1) The PackageDB contains packages "odvorace" and "jbrassow" which are obviously
bogus.  Would you be so kind to delete them?
(Or could you please fwd the request to the authorities, if this CVS Admin
request it not the right one?  (I searched the wiki, but was not able to find
anything better.))
2) Perhaps a similar mistake/bug has happened in other cases as well.  Could you
perhaps query the db for pkgs with names == some login?  Or query for pkgs which
have only the name set, without any details given?

Thanks!
Comment 8 Toshio Ernie Kuratomi 2007-09-14 15:01:10 EDT
Thanks for catching this!

I've marked the packages removed and am updating the UI code to ignore their
existence.  Scanned the DB for packages which had a similar lack of other
details and found none.

Note You need to log in before you can comment on or make changes to this bug.